Index: src/edu/ucsb/nceas/metacat/DBQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 4698)
@@ -50,7 +50,7 @@
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.morpho.datapackage.Triple;
 import edu.ucsb.nceas.morpho.datapackage.TripleCollection;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
@@ -394,9 +394,9 @@
          double endHTMLTransform = System.currentTimeMillis()/1000;
           logMetacat.warn("The time to transfrom resultset from xml to html format is "
                   		                             +(endHTMLTransform -startHTMLTransform));
-          MetaCatUtil.writeDebugToFile("---------------------------------------------------------------------------------------------------------------Transfrom xml to html  "
+          MetacatUtil.writeDebugToFile("---------------------------------------------------------------------------------------------------------------Transfrom xml to html  "
                              +(endHTMLTransform -startHTMLTransform));
-          MetaCatUtil.writeDebugToDelimiteredFile(" "+(endHTMLTransform -startHTMLTransform), false);
+          MetacatUtil.writeDebugToDelimiteredFile(" "+(endHTMLTransform -startHTMLTransform), false);
         }
         catch(Exception e)
         {
@@ -650,9 +650,9 @@
       double queryExecuteTime = System.currentTimeMillis() / 1000;
       logMetacat.debug("Time to execute select docid query is "
                     + (queryExecuteTime - startTime));
-      MetaCatUtil.writeDebugToFile("\n\n\n\n\n\nExecute selection query  "
+      MetacatUtil.writeDebugToFile("\n\n\n\n\n\nExecute selection query  "
               + (queryExecuteTime - startTime));
-      MetaCatUtil.writeDebugToDelimiteredFile(""+(queryExecuteTime - startTime), false);
+      MetacatUtil.writeDebugToDelimiteredFile(""+(queryExecuteTime - startTime), false);
 
       boolean tableHasRows = rs.next();
       
@@ -761,9 +761,9 @@
      double docListTime = System.currentTimeMillis() / 1000;
      logMetacat.warn("======Total time to get docid list is: "
                           + (docListTime - startSelectionTime ));
-     MetaCatUtil.writeDebugToFile("---------------------------------------------------------------------------------------------------------------Total selection: "
+     MetacatUtil.writeDebugToFile("---------------------------------------------------------------------------------------------------------------Total selection: "
              + (docListTime - startSelectionTime ));
-     MetaCatUtil.writeDebugToDelimiteredFile(" "+ (docListTime - startSelectionTime ), false);
+     MetacatUtil.writeDebugToDelimiteredFile(" "+ (docListTime - startSelectionTime ), false);
      //if docListResult is not empty, it need to be sent.
      if (docListResult.size() != 0)
      {
@@ -841,9 +841,9 @@
      double endGetReturnValueFromQueryresultable = System.currentTimeMillis()/1000;
      logMetacat.warn("Time to get return fields from xml_queryresult table is (Part1 in return fields) " +
           		               (endGetReturnValueFromQueryresultable-startGetReturnValueFromQueryresultable));
-     MetaCatUtil.writeDebugToFile("-----------------------------------------Get fields from xml_queryresult(Part1 in return fields) " +
+     MetacatUtil.writeDebugToFile("-----------------------------------------Get fields from xml_queryresult(Part1 in return fields) " +
                (endGetReturnValueFromQueryresultable-startGetReturnValueFromQueryresultable));
-     MetaCatUtil.writeDebugToDelimiteredFile(" " +
+     MetacatUtil.writeDebugToDelimiteredFile(" " +
              (endGetReturnValueFromQueryresultable-startGetReturnValueFromQueryresultable),false);
      // backup the keys-elements in partOfDoclist to check later
      // if the doc entry is indexed yet
@@ -864,9 +864,9 @@
      double endExtendedQuery = System.currentTimeMillis()/1000;
      logMetacat.warn("Get fields from index and node table (Part2 in return fields) "
         		                                          + (endExtendedQuery - endGetReturnValueFromQueryresultable));
-     MetaCatUtil.writeDebugToFile("-----------------------------------------Get fields from extened query(Part2 in return fields) "
+     MetacatUtil.writeDebugToFile("-----------------------------------------Get fields from extened query(Part2 in return fields) "
              + (endExtendedQuery - endGetReturnValueFromQueryresultable));
-     MetaCatUtil.writeDebugToDelimiteredFile(" "
+     MetacatUtil.writeDebugToDelimiteredFile(" "
              + (endExtendedQuery - endGetReturnValueFromQueryresultable), false);
      //add relationship part part docid list for the documents in partOfDocList
      //partOfDoclist = addRelationship(partOfDoclist, qspec, dbconn, useXMLIndex);
@@ -928,9 +928,9 @@
      double endStoreReturnField = System.currentTimeMillis()/1000;
      logMetacat.warn("Time to store new return fields into xml_queryresult table (Part4 in return fields) "
                    + (endStoreReturnField -startStoreReturnField));
-     MetaCatUtil.writeDebugToFile("-----------------------------------------Insert new record to xml_queryresult(Part4 in return fields) "
+     MetacatUtil.writeDebugToFile("-----------------------------------------Insert new record to xml_queryresult(Part4 in return fields) "
              + (endStoreReturnField -startStoreReturnField));
-     MetaCatUtil.writeDebugToDelimiteredFile(" "
+     MetacatUtil.writeDebugToDelimiteredFile(" "
              + (endStoreReturnField -startStoreReturnField), false);
      
      Enumeration keysE = queryresultDocList.keys();
@@ -950,10 +950,10 @@
      double returnFieldTime = System.currentTimeMillis() / 1000;
      logMetacat.warn("======Total time to get return fields is: "
                            + (returnFieldTime - startReturnField));
-     MetaCatUtil.writeDebugToFile("---------------------------------------------------------------------------------------------------------------"+
+     MetacatUtil.writeDebugToFile("---------------------------------------------------------------------------------------------------------------"+
     		 "Total to get return fields  "
                                    + (returnFieldTime - startReturnField));
-     MetaCatUtil.writeDebugToDelimiteredFile(" "+ (returnFieldTime - startReturnField), false);
+     MetacatUtil.writeDebugToDelimiteredFile(" "+ (returnFieldTime - startReturnField), false);
      return resultset;
  }
 
@@ -1170,10 +1170,10 @@
                logMetacat.warn(
                    "Time to execute extended query: "
                    + (extendedQueryEnd - extendedQueryStart));
-               MetaCatUtil.writeDebugToFile(
+               MetacatUtil.writeDebugToFile(
                        "Execute extended query "
                        + (extendedQueryEnd - extendedQueryStart));
-               MetaCatUtil.writeDebugToDelimiteredFile(" "+ (extendedQueryEnd - extendedQueryStart), false);
+               MetacatUtil.writeDebugToDelimiteredFile(" "+ (extendedQueryEnd - extendedQueryStart), false);
                tableHasRows = rs.next();
                while (tableHasRows) {
                    ReturnFieldValue returnValue = new ReturnFieldValue();
@@ -1180,7 +1180,7 @@
                    docid = rs.getString(1).trim();
                    fieldname = rs.getString(2);
                    fielddata = rs.getString(3);
-                   fielddata = MetaCatUtil.normalize(fielddata);
+                   fielddata = MetacatUtil.normalize(fielddata);
                    String parentId = rs.getString(4);
                    fieldtype = rs.getString(5);
                    StringBuffer value = new StringBuffer();
@@ -2210,9 +2210,9 @@
         String docId = null;
         int version = -5;
         // Docid without revision
-        docId = MetaCatUtil.getDocIdFromString(docIdString);
+        docId = MetacatUtil.getDocIdFromString(docIdString);
         // revision number
-        version = MetaCatUtil.getVersionFromString(docIdString);
+        version = MetacatUtil.getVersionFromString(docIdString);
 
         //check if the reqused docId is a data package id
         if (!isDataPackageId(docId)) {
@@ -2314,12 +2314,12 @@
                     String documentId = (String) documentImplList.elementAt(i);
                     logMetacat.info("docid: " + documentId);
                     // Get doicd without revision
-                    String docidWithoutRevision = MetaCatUtil
+                    String docidWithoutRevision = MetacatUtil
                             .getDocIdFromString(documentId);
                     logMetacat.info("docidWithoutRevsion: "
                             + docidWithoutRevision);
                     // Get revision
-                    String revision = MetaCatUtil
+                    String revision = MetacatUtil
                             .getRevisionStringFromString(documentId);
                     logMetacat.info("revsion from docIdentifier: "
                             + revision);
Index: src/edu/ucsb/nceas/metacat/AccessControlForSingleFile.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessControlForSingleFile.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/AccessControlForSingleFile.java	(revision 4698)
@@ -36,7 +36,7 @@
 import java.net.MalformedURLException;
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 
 /** 
@@ -75,7 +75,7 @@
     try
     {
       //Get rid of dev if myaccessNumber has one;
-      docId = MetaCatUtil.getDocIdFromString(myAccessionNumber);
+      docId = MetacatUtil.getDocIdFromString(myAccessionNumber);
       if (docId == null || docId.equals(""))
       {
         throw new Exception("Docid couldn't be null");
Index: src/edu/ucsb/nceas/metacat/DBTransform.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBTransform.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/DBTransform.java	(revision 4698)
@@ -73,7 +73,7 @@
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.service.SkinPropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import edu.ucsb.nceas.utilities.SortedProperties;
@@ -87,7 +87,7 @@
 public class DBTransform {
 
   //private Connection	conn = null;
-  private MetaCatUtil   util = null;
+  private MetacatUtil   util = null;
   private String 	configDir = null;
   private String	defaultStyle = null;
   private Logger logMetacat = Logger.getLogger(DBTransform.class);
Index: src/edu/ucsb/nceas/metacat/EML201DocumentCorrector.java
===================================================================
--- src/edu/ucsb/nceas/metacat/EML201DocumentCorrector.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/EML201DocumentCorrector.java	(revision 4698)
@@ -123,7 +123,7 @@
      {
     	 
     	 //initialize options and connection pool
-    	 PropertyService.getInstance("build/metacat.properties");
+    	 PropertyService.getInstance();
     	 DBConnectionPool connPool = DBConnectionPool.getInstance();
     	   	 
     	 // run the thread
Index: src/edu/ucsb/nceas/metacat/QueryGroup.java
===================================================================
--- src/edu/ucsb/nceas/metacat/QueryGroup.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/QueryGroup.java	(revision 4698)
@@ -30,7 +30,7 @@
 package edu.ucsb.nceas.metacat;
 
 import edu.ucsb.nceas.dbadapter.*;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import java.io.*;
 import java.util.Hashtable;
@@ -330,7 +330,7 @@
     		//System.out.println("new term is not null branch in handle new query term");
     		//we only handle union operator now.
     		if (operator != null && operator.equalsIgnoreCase(UNION) && 
-    				MetaCatUtil.pathsForIndexing.contains(newTerm.getPathExpression()))
+    				MetacatUtil.pathsForIndexing.contains(newTerm.getPathExpression()))
     	    {
     			//System.out.println("in only union branch in handle new query term");
 	    		for (int i=0; i<queryTermsInPathIndex.size(); i++)
Index: src/edu/ucsb/nceas/metacat/QueryTerm.java
===================================================================
--- src/edu/ucsb/nceas/metacat/QueryTerm.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/QueryTerm.java	(revision 4698)
@@ -32,7 +32,7 @@
 import java.util.Vector;
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 /** a utility class that represents a single term in a query */
 public class QueryTerm
@@ -224,7 +224,7 @@
 
         // if pathexpr has been specified in metacat.properties for indexing
         if(pathexpr != null){
-            if(MetaCatUtil.pathsForIndexing.contains(pathexpr)){
+            if(MetacatUtil.pathsForIndexing.contains(pathexpr)){
                 usePathIndex = true;
             }
         }
Index: src/edu/ucsb/nceas/metacat/DBSAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 4698)
@@ -37,7 +37,7 @@
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.service.XMLSchema;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.morpho.datapackage.Triple;
 import edu.ucsb.nceas.morpho.datapackage.TripleCollection;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
@@ -239,7 +239,7 @@
 		try {
 			// if it is data package insert triple into relation table;
 			if (doctype != null
-					&& MetaCatUtil.getOptionList(
+					&& MetacatUtil.getOptionList(
 							PropertyService.getProperty("xml.packagedoctype")).contains(
 							doctype) && hasTriple && !isRevisionDoc) {
 
@@ -448,7 +448,7 @@
 		// start parsing triple
 		try {
 			if (doctype != null
-					&& MetaCatUtil.getOptionList(
+					&& MetacatUtil.getOptionList(
 							PropertyService.getProperty("xml.packagedoctype")).contains(doctype)
 					&& localName.equals("triple")) {
 				startParseTriple = true;
@@ -808,7 +808,7 @@
 
         String normalizedData = strBuffer.toString();
         logMetacat.debug("Before normalize in write process === "+normalizedData);
-        String afterNormalize = MetaCatUtil.normalize(normalizedData);
+        String afterNormalize = MetacatUtil.normalize(normalizedData);
         logMetacat.debug("After normalize in write process === "+afterNormalize);
         strBuffer = new StringBuffer(afterNormalize);;
 
Index: src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java	(revision 4698)
@@ -50,7 +50,7 @@
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
@@ -597,7 +597,7 @@
                 //intitialize namespace hash for in line data
                 inlineDataNameSpace = new Hashtable();
                 //initialize file writer
-                String docidWithoutRev = MetaCatUtil.getDocIdFromString(docid);
+                String docidWithoutRev = MetacatUtil.getDocIdFromString(docid);
                 String seperator = ".";
                 try {
 					seperator = PropertyService.getProperty("document.accNumSeparator");
@@ -652,7 +652,7 @@
                         && (processAdditionalAccess || processOtherAccess || processTopLeverAccess)) {
                     // stored the pull out nodes into storedNode stack
                     NodeRecord nodeElement = new NodeRecord(-2, -2, -2, "TEXT",
-                            null, null, MetaCatUtil.normalize(textBuffer
+                            null, null, MetacatUtil.normalize(textBuffer
                                     .toString()));
                     storedAccessNodeStack.push(nodeElement);
 
@@ -918,13 +918,13 @@
             {
                 // stored the pull out nodes into storedNode stack
                 NodeRecord nodeElement = new NodeRecord(-2, -2, -2, "ELEMENT",
-                        localName, prefix, MetaCatUtil.normalize(null));
+                        localName, prefix, MetacatUtil.normalize(null));
                 storedAccessNodeStack.push(nodeElement);
                 for (int i = 0; i < atts.getLength(); i++) {
                     String attributeName = atts.getQName(i);
                     String attributeValue = atts.getValue(i);
                     NodeRecord nodeAttribute = new NodeRecord(-2, -2, -2,
-                            "ATTRIBUTE", attributeName, null, MetaCatUtil
+                            "ATTRIBUTE", attributeName, null, MetacatUtil
                                     .normalize(attributeValue));
                     storedAccessNodeStack.push(nodeAttribute);
                 }
@@ -944,7 +944,7 @@
               // we started process additional access rules here
               // because access and describe couldn't be seperated
               NodeRecord nodeElement = new NodeRecord(-2, -2, -2, "ELEMENT",
-                        localName, prefix, MetaCatUtil.normalize(null));
+                        localName, prefix, MetacatUtil.normalize(null));
               storedAccessNodeStack.push(nodeElement);
               processAdditionalAccess = true;
               logMetacat.warn("set processAdditonalAccess ture when meet describe");
@@ -1053,7 +1053,7 @@
                 {
                      // stored the pull out nodes into storedNode stack
                      NodeRecord nodeElement = new NodeRecord(-2, -2, -2, "TEXT",
-                       null, null, MetaCatUtil.normalize(textBuffer
+                       null, null, MetacatUtil.normalize(textBuffer
                           .toString()));
                      storedAccessNodeStack.push(nodeElement);
 
@@ -1283,7 +1283,7 @@
                         && (processAdditionalAccess || processOtherAccess || processTopLeverAccess)) {
                     // stored the pull out nodes into storedNode stack
                     NodeRecord nodeElement = new NodeRecord(-2, -2, -2, "TEXT",
-                            null, null, MetaCatUtil.normalize(textBuffer
+                            null, null, MetacatUtil.normalize(textBuffer
                                     .toString()));
                     storedAccessNodeStack.push(nodeElement);
 
@@ -1542,7 +1542,7 @@
                         && (processAdditionalAccess || processOtherAccess || processTopLeverAccess)) {
                     // stored the pull out nodes into storedNode stack
                     NodeRecord nodeElement = new NodeRecord(-2, -2, -2,
-                            "COMMENT", null, null, MetaCatUtil.normalize(str));
+                            "COMMENT", null, null, MetacatUtil.normalize(str));
                     storedAccessNodeStack.push(nodeElement);
 
                 }
@@ -1649,7 +1649,7 @@
                         && (processAdditionalAccess || processOtherAccess || processTopLeverAccess)) {
                     // stored the pull out nodes into storedNode stack
                     NodeRecord nodeElement = new NodeRecord(-2, -2, -2, "TEXT",
-                            null, null, MetaCatUtil.normalize(data));
+                            null, null, MetacatUtil.normalize(data));
                     storedAccessNodeStack.push(nodeElement);
 
                 }
@@ -2092,7 +2092,7 @@
         throw new SAXException("The access object is null");
       }
        // get rid of rev from dataId
-       //dataId = MetaCatUtil.getDocIdFromString(dataId);
+       //dataId = MetacatUtil.getDocIdFromString(dataId);
        //String permOrder = accessSection.getPermissionOrder();
        String sql = null;
        PreparedStatement pstmt = null;
@@ -2657,12 +2657,12 @@
       String docid = null;
       // if the url is not a ecogrid protocol, null will be getten
       String accessionNumber =
-                 MetaCatUtil.getAccessionNumberFromEcogridIdentifier(url);
+                 MetacatUtil.getAccessionNumberFromEcogridIdentifier(url);
       if (accessionNumber != null)
       {
         // handle ecogrid protocol
         // get rid of revision number to get the docid.
-        docid = MetaCatUtil.getDocIdFromAccessionNumber(accessionNumber);
+        docid = MetacatUtil.getDocIdFromAccessionNumber(accessionNumber);
         onlineDataFileIdInRelationVector.add(docid);
         try
         {
Index: src/edu/ucsb/nceas/metacat/SchemaLocationResolver.java
===================================================================
--- src/edu/ucsb/nceas/metacat/SchemaLocationResolver.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/SchemaLocationResolver.java	(revision 4698)
@@ -38,6 +38,7 @@
 
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.service.ServiceService;
 import edu.ucsb.nceas.metacat.service.XMLSchemaService;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 
@@ -104,7 +105,7 @@
         InputStream in = DBEntityResolver.checkURLConnection(schemaLocation);
        
         String newURLInMetacat = uploadSchemaFromURL(in);
-        XMLSchemaService.getInstance().refresh();
+        ServiceService.refreshService("XMLSchemaService");
        
         // check the name space list again.  It may not have appeared the first time 
         // because the schema was in the db but there was no file on disk.  If that's 
@@ -112,7 +113,7 @@
         // to register the schema in the database.
         if (!XMLSchemaService.getNameSpaceList().contains(nameSpace)) {
         	registerSchema(newURLInMetacat);
-        	XMLSchemaService.getInstance().refresh();
+        	ServiceService.refreshService("XMLSchemaService");
         }
         downloadNewSchema = true;
      
Index: src/edu/ucsb/nceas/metacat/AccessControlList.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessControlList.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/AccessControlList.java	(revision 4698)
@@ -49,7 +49,7 @@
 
 import edu.ucsb.nceas.metacat.service.DatabaseService;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
@@ -341,7 +341,7 @@
             //docid = docID.getIdentifier();
             // the docid get here has revision number, so we need to 
             // remove it.
-            //docid = MetaCatUtil.getDocIdFromAccessionNumber(docid);
+            //docid = MetacatUtil.getDocIdFromAccessionNumber(docid);
             //System.out.println("The docid insert is!!!!!!!!!! "+ docid);
             insertPermissions(docid,leavingTagName);
           }
@@ -708,7 +708,7 @@
       serialNumber=conn.getCheckOutSerialNumber();
       
       isOwned = isOwned(docid, user);
-      systemID = getSystemID((String)MetaCatUtil.
+      systemID = getSystemID((String)MetacatUtil.
                                       getOptionList(accDoctype).elementAt(0));
       publicAcc = getPublicAccess(docid);
         
